Subject: Re: rsync 3.0.4 over ssh hanging on cygwin 1.7
From: Fred Kemp <[email-masked]>
To: [email-masked]
Cc: "G.W. Haywood" <[email-masked]>
Date: Wed, 19 Nov 2008 11:54:08 +0000
List-Id: <cygwin.cygwin.com>

Hi Ged,

Thanks for the info, due to being on a University campus, we are  
restricted in what we are allowed to set up and VPN's are one of those  
explicitly mentioned :-( However, since OsX has a built in VPN server,  
I will perhaps have a covert test of this if I can get rsyncd to play  
nice.

In the meantime, if anyone has any ideas as to where the problem lies,  
I would be willing to spend some time investigating it further. It  
does seem to be a longstanding issue, with posts as far back as 2002  
and as recent as last month on the subject. Not having rsync working  
is a dealbreaker as far as we are concerned in continuing to use  
cygwin, but equally there doesn't seem to be a suitable alternative at  
present...

Thanks,

Fred.

On Nov 19, 2008, at 9:56 AM, G.W. Haywood wrote:

> Hi there,
>
> On Wed, 19 Nov 2008 Fred Kemp wrote:
>
>> ... Unfortunately our data files are frequently in the 3-4Gb range
>> so it sounds like SFU is unlikely to be an option either.
>>
>> Would like to persist with cygwin as we use it for some of our
>> proteomics tools. I guess I'll have to ditch the security and try
>> rsyncd (just as soon as I can get on the client machines and add yet
>> another exception to the Windoze firewall) ^ unless anyone else has
>> any thoughts or suggestions?
>
> We use OpenVPN to provide network level security in a backup system
> which is superficially similar to yours.
>
> Typically we're backing up about a hundred GBytes.  Even if it takes a
> couple of months for the process to complete (which can happen if the
> users are especially, er, well, willful:) rsync doesn't give problems.
> Can't say the same for OpenVPN unfortunately but a watchdog fixes  
> that.
> We're still using cygwin 1.5.
>
> --
>
> 73,
> Ged.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/